# Class PlainDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.PlainDataNode

All Implemented Interfaces:
  `DataNode`

public class PlainDataNode extends DefaultDataNode
Generic data node representing some stream of data. Compression is not taken into account.

## Constructor Summary

Constructors
Constructor
Description
`PlainDataNode(uk.ac.starlink.util.DataSource datsrc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureDetail(DetailViewer dv)`
No custom configuration is performed.
`String`
`getName()`
Gets the name of this object.
`String`
`getNodeTLA()`
The `DefaultDataNode` implementation returns the string "...".
`String`
`getNodeType()`
Returns a short sentence indicating what kind of node this is.
`String`
`getPathElement()`
The `DefaultDataNode` implementation returns the label as a default path element.

### Methods inherited from class DefaultDataNode

`allowsChildren, beep, getChildIterator, getChildMaker, getCreator, getDataObject, getDescription, getIcon, getLabel, getParentObject, getPathSeparator, hasDataObject, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlainDataNode

public PlainDataNode(uk.ac.starlink.util.DataSource datsrc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

## Method Details

### getName

public String getName()
Description copied from interface: `DataNode`
Gets the name of this object. This is an intrinsic property of the object.

Specified by:
  `getName` in interface `DataNode`
Overrides:
  `getName` in class `DefaultDataNode`
Returns:
  the name of the object

### getNodeTLA

public String getNodeTLA()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the string "...".

Specified by:
  `getNodeTLA` in interface `DataNode`
Overrides:
  `getNodeTLA` in class `DefaultDataNode`
Returns:
  "..."

### getNodeType

public String getNodeType()
Description copied from interface: `DataNode`
Returns a short sentence indicating what kind of node this is. The return value should be just a few words. As a rough guideline it should indicate what the implementing class is.

Specified by:
  `getNodeType` in interface `DataNode`
Overrides:
  `getNodeType` in class `DefaultDataNode`
Returns:
  a short description of the type of this `DataNode`

### getPathElement

public String getPathElement()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the label as a default path element.

Specified by:
  `getPathElement` in interface `DataNode`
Overrides:
  `getPathElement` in class `DefaultDataNode`
Returns:
  the node's label

### configureDetail

public void configureDetail(DetailViewer dv)
Description copied from class: `DefaultDataNode`
No custom configuration is performed.

Specified by:
  `configureDetail` in interface `DataNode`
Overrides:
  `configureDetail` in class `DefaultDataNode`
Parameters:
  `dv` - the detail viewer which this node is given an opportunity to configure